lv.pasts.eme.cert

## Class CRLManager

- java.lang.Object
- - lv.pasts.eme.cert.CRLManager

-     public final class CRLManager
      extends Object

  `CRLManager` class provides service to access CRL files.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<CRLData>` | `getCRLs(X509Certificate certificate)` Returns a `List` of CRLData that match the specified certificate.
    `static X509CRL` | `parseCRL(InputStream is)`
    `static Collection<X509CRL>` | `selectCRLs(X509Certificate certificate)` Returns a Collection of CRLs that match the specified certificate.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### selectCRLs

          public static Collection<X509CRL> selectCRLs(X509Certificate certificate)
                                                throws IOException,
                                                       CRLException

      Returns a Collection of CRLs that match the specified certificate. If no CRLs match the certificate, an empty Collection will be returned.
      Parameters:
        `certificate` - the certificate.
      Returns:
        a Collection of CRLs that match the specified selector (never `null`).
      Throws:
        `IOException` - if CRL cannot be loaded from the associated URL.
        `CRLException` - if CRL local file cannot be parsed.

    - #### getCRLs

          public static List<CRLData> getCRLs(X509Certificate certificate)
                                       throws CRLException

      Returns a `List` of CRLData that match the specified certificate.

      Usually the resulting list will contain one Base and one Delta CRL. If no CRLs match the certificate, an empty `List` will be returned.

      Parameters:
        `certificate` - the certificate.
      Returns:
        a List of CRLData that match the specified certificate (never `null`).
      Throws:
        `CRLException` - if CRL cannot be loaded or parsed.
      Since:
        1.4.0

    - #### parseCRL

          public static X509CRL parseCRL(InputStream is)
                                  throws CRLException

      Throws:
        `CRLException`

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO